org.eclipse.jetty.util.preventers

## Class LoginConfigurationLeakPreventer

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.preventers.AbstractLeakPreventer
    - - org.eclipse.jetty.util.preventers.LoginConfigurationLeakPreventer

- All Implemented Interfaces:
    LifeCycle

      public class LoginConfigurationLeakPreventer
      extends AbstractLeakPreventer

  LoginConfigurationLeakPreventer The javax.security.auth.login.Configuration class keeps a static reference to the thread context classloader. We prevent a webapp context classloader being used for that by invoking the classloading here. Inspired by Tomcat JreMemoryLeakPrevention

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `AbstractLifeCycle.AbstractLifeCycleListener`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `LifeCycle.Listener`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.util.preventers.AbstractLeakPreventer

      `LOG`

    - ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginConfigurationLeakPreventer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `prevent(ClassLoader loader)`

    - ### Methods inherited from class org.eclipse.jetty.util.preventers.AbstractLeakPreventer

      `doStart`

    - ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `addLifeCycleListener, doStop, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginConfigurationLeakPreventer

          public LoginConfigurationLeakPreventer()

  - ### Method Detail

    - #### prevent

          public void prevent(ClassLoader loader)

      Specified by:
        `prevent` in class `AbstractLeakPreventer`
      See Also:
        `AbstractLeakPreventer.prevent(java.lang.ClassLoader)`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.